carrossel-de-categorias-skeleton {
  display: block;
  width: 100%;
}

carrossel-de-categorias-skeleton .horizontal-scroll {
  display: flex;
  gap: 10px;
  overflow-x: auto;
  white-space: nowrap;
  margin-bottom: 0.5rem;
  height: 110px;
}

carrossel-de-categorias-skeleton .skeleton-categoria-item {
  background-color: var(--cor-skeleton-fundo);
  flex: 0 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  background: linear-gradient(
    100deg,
    var(--cor-skeleton-borda) 40%,
    var(--cor-skeleton-fundo) 50%,
    var(--cor-skeleton-borda) 60%
  );
  background-size: 200% 100%;
  animation: loading 1.5s infinite;
  border-radius: 5px;
  height: 95%;
  width: 80px;
}

carrossel-de-categorias-skeleton .skeleton-text {
  width: 90%;
  height: 6px;
  background-color: var(--cor-skeleton-fundo);
  border-radius: 5px;
}

carrossel-de-categorias-skeleton .skeleton-text-line {
  width: 80%;
}

@keyframes loading {
  0% {
    background-position: 100% 0;
  }
  100% {
    background-position: -100% 0;
  }
}
